<? if (!defined("_GNUBOARD_")) exit;
include("$zms[service_path]/config.php");

//-- new 아이콘 표시
$rdnew			= sql_fetch("select db_new_reply_check from $table_name where db_id='$member[mb_id]'");
if($rdnew[db_new_reply_check]) {
	if(ZM_IS_MOBILE)
		$alimi_new_icon = "<img src='".$zms[service_path]."/img/icon_m_n.gif'>";
	else
		$alimi_new_icon = "<img src='".$zms[service_path]."/img/icon_n.gif'>";
}

if(ZM_IS_MOBILE) :		//-- 모바일 페이지 --------- ?>
	<style>
		#zmb_addon_alimi	{ color:#868686; font-size:13px; }
	</style>
	<span id="zmb_addon_alimi">알림</span> <span id="zmb_alimi_new_icon"><?=$alimi_new_icon?></span><div id="zmb_addon_alimi_box"></div>

<? else :				//-- PC 페이지 ------------ ?>
	<style>
		#zmb_addon_alimi	{ color:#545454; cursor:pointer; }
		#zmb_alimi_new_icon	img { padding-top:3px; }
	</style>
	<span id="zmb_addon_alimi">알리미</span><span id="zmb_alimi_new_icon"><?=$alimi_new_icon?></span><span id="zmb_addon_alimi_box"></span>
<? endif; ?>



<script language="javascript">
function alimi_load(click){
	if(!click) click = "0";				//-- click 값이 없으면 버튼 클릭으로 로드하는 것이 아님

	$.ajax({
		type: "post",
		data: {
			service_path : "<?=$zms[service_path]?>",
			g4url		 : "<?=$g4[url]?>",
			clickload	 : click
		},
		url: "<?=$zms[service_path]?>/new.reply.load.php",
		success: function(result){
			if(click == "1") {
				$("#zmb_addon_alimi_box").html(result);
			}

		}
	});
}

$(document).ready(function(){
	$("#zmb_addon_alimi").click(function(){
		$("#zmb_alimi_new_icon").html("");		//-- new 아이콘 숨김
		alimi_load("1");						//-- 버튼 클릭으로 실행
	});

	alimi_load("0");			//-- 페이지 로딩이 끝나면 자동 1회 실행. 새 반응글이 있는지 검사하기 위한 것

});

function reply_del(n){
//-- 삭제
$.ajax({
	type	: "post",
	data	: {
				service_path	: "<?=$zms[service_path]?>",
				g4url				: "<?=$g4[url]?>",
				n					: n
	},
	url		: "<?=$zms[service_path]?>/reply.del.php",
	success	: function(data) {
		$("#zmb_addon_alimi_box").html(data);
	}
});
}
</script>